# Build cart URL for a product This function builds the URL for the shopping cart page for the specified product. The system saves session data and constructs a full cPanel URL pointing to the product purchase page. Endpoint: GET /Market/get_build_cart_url Version: 11.136.0.4 Security: BasicAuth ## Query parameters: - `product_name` (string, required) The name of the product for which to build the cart URL. Example: "cpanel-ssl" - `domain` (string) The domain associated with the product purchase. This parameter is optional. Example: "example.com" ## Response 200 fields (application/json): - `apiversion` (integer) The version of the API. Example: 3 - `func` (string) The name of the method called. Example: "get_build_cart_url" - `module` (string) The name of the module called. Example: "Market" - `result` (object) - `result.data` (object) - `result.data.url` (string) The full cPanel URL for the product purchase cart page, including the security token. Example: "https://hostname.example.com:2083/cpsessXXXXXXXXXX/frontend/jupiter/store/purchase_product_build_cart.html?product_name=cpanel-ssl" - `result.errors` (array,null) List of errors if the API failed. - `result.messages` (array,null) List of messages generated by the API. - `result.metadata` (object) - `result.status` (integer) * — Success. * — Failed. Check the field for more details. Enum: 0, 1 - `result.warnings` (array,null) List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.